par2(1)

NAME
par2 - PAR 2.0 compatible file verification and repair tool.

SYNOPSIS
par2 c|v|r [options] <par2 file> [files]

par2 c(reate) [options] <par2 file> [files]
par2 v(erify) [options] <par2 file> [files]
par2 r(epair) [options] <par2 file> [files]

Also:
par2create [options] <par2 file> [files]
par2verify [options] <par2 file> [files]
par2repair [options] <par2 file> [files]

DESCRIPTION
par2cmdline is a program for creating and using PAR2 files to detect damage in data files and repair them if necessary. It can be used with any kind of file.

OPTIONS

-h  Show this help

-V  Show version

-VV Show version and copyright

-a <file>
    Set the main par2 archive name; required on create, optional for verify and repair

-b<n>
    Set the Block-Count

-s<n>
    Set the Block-Size (don't use both -b and -s)

-r<n>
    Level of redundancy (percentage)

-r<c><n>
    Redundancy target size, <c>=g(iga),m(ega),k(ilo) bytes

-c<n>
    Recovery block count (don't use both -r and -c)

-f<n>
    First Recovery-Block-Number

-u  Uniform recovery file sizes

-l  Limit size of recovery files (don't use both -u and -l)

-n<n>
    Number of recovery files (don't use both -n and -l)

-m<n>
    Memory (in MB) to use

-v [-v]
    Be more verbose

-q [-q]
    Be more quiet (-qq gives silence)

-p  Purge backup files and par files on successful recovery or when no recovery is needed

-R  Recurse into subdirectories (only useful on create)

-N  No data skipping (find badly mispositioned data blocks)

-S<n>
    Skip leaway (distance +/- from expected block position)

--  Treat all remaining command line as filenames

AUTHORS
Peter Brian Clements <peterbclements@users.sourceforge.net>
Marcel Partap <mpartap@gmx.net>
Ike Devolder <ike.devolder@gmail.com>